Help with Manual Android Build issue: "Crosswalk library not installed"

Tyrael79

Veteran
Veteran
Joined
Jan 10, 2016
Messages
90
Reaction score
15
First Language
english
Primarily Uses
Hi Guys,


I'm having huge issues with the manual method of building an android app. I can get the app working successfully with Intel XKD, however the time it takes to upload the project, build it, then re-download is a nightmare, especially when there is just a super small quick change that needs to be made. Not only takes forever but is eating up all my monthly allocation of downloads. So it's not a viable long term solution.


The issue I'm running into when I do a manual build, is when I run the app after installing it on my device I get an error "Crosswalk library not installed". Even if I install the crosswalk library manually on my phone it still does not work.


Im hoping that I've just not installed something that's required for the build so I'm putting screenshots of everything up here. Hopefully someone can see something that I've not installed correctly or give advice on what I need to do to get the manual build working.


Thanks in advance

Versions.jpg

SDK Packages.jpg

Manifest.jpg

Compiled.jpg
 

Tyrael79

Veteran
Veteran
Joined
Jan 10, 2016
Messages
90
Reaction score
15
First Language
english
Primarily Uses
No one is able to see anything that I've done wrong or overlooked?


Is there any other type of troubleshooting anyone would recommend?


I've already tried:

  • Compiling with different versions of crosswalk, newer versions seem to fail the build completely!
  • Different Android SDK's 19 through to 24
 

Tyrael79

Veteran
Veteran
Joined
Jan 10, 2016
Messages
90
Reaction score
15
First Language
english
Primarily Uses
I managed to resolve this and have been using the manual method for around 10 builds now,


But for those that are getting the same issue try this it might help. I did 3 things differently (not sure which resolved the issue)


1.) I used Crosswalk version 17.46.448.10-64bit


2.) I changed the M in manifest.json to lowercase


3.) In my manifest.json I changed the xwalk version to 17.46.448


I'm not sure which of the things (if not all of them) played a contributing part to resolving the issue, but at least one of them resolved it.
 

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Latest Threads

Latest Posts

Latest Profile Posts

Well, since I'm in lockdown, I guess it's finally time to get serious into rpgmaking... almost 20 years later.
Forbidden - You don't have permission to access /index.php on this server.
I love how people have real technical issues and im all like ''I CANT DECIDE ON A FONT'' :p

Forum statistics

Threads
95,745
Messages
931,523
Members
126,126
Latest member
FIL
Top